FORM_DATA(3) | Library Functions Manual | FORM_DATA(3)

# NAME

form — form library

# LIBRARY

Curses Form Library (libform, -lform)

# SYNOPSIS

#include <form.h>
int
data_ahead(FORM *form);
int
data_behind(FORM *form);

# DESCRIPTION

If there is data offscreen to the right of the current field of the given form then data_ahead() will return `TRUE`, otherwise `FALSE` is returned. Similarly, if there is data offscreen to the left of the current field of the given form then data_behind() will return `TRUE`.

# RETURN VALUES

If the condition is met then the functions will return `TRUE`, if there is an error or there is no data offscreen the functions will return `FALSE`.

# SEE ALSO

curses(3), forms(3)

# NOTES

The header <form.h> automatically includes both <curses.h> and <eti.h>.

January 1, 2001 | NetBSD 8.2